# $Revision: 1.20 $, $Date: 2003/08/30 21:36:16 $
Summary:	CLIPS - a productive development and delivery expert system tool
Summary(pl):	CLIPS - narzdzie do tworzenia i wdraania systemw eksperckich
Name:		clips
Version:	6.2
Release:	1
License:	Public Domain
Group:		Development/Languages
Source0:	http://www.ghg.net/clips/download/source/clipssrc.tar.Z
# Source0-md5:	de2bddd67d3f82f23fb6c1bef051b544
Source1:	http://www.ghg.net/clips/download/documentation/3CCP.pdf
# Source1-md5:	a6a60733af08f9e9e6d0928272ad4dd9
Source2:	http://www.ghg.net/clips/download/documentation/abstract.pdf
# Source2-md5:	cd3ecddc4e538b8af0e5cf08ab7fd89c
Source3:	http://www.ghg.net/clips/download/documentation/apg.pdf
# Source3-md5:	77a051086c3be543f507e8b1f77f7077
Source4:	http://www.ghg.net/clips/download/documentation/arch5-1.pdf
# Source4-md5:	9a13d2ed18fe6ab67902d5bce29957cb
Source5:	http://www.ghg.net/clips/download/documentation/bpg.pdf
# Source5-md5:	15190fdc0895356ab347e1dd41bb6aa7
Source6:	http://www.ghg.net/clips/download/documentation/ig.pdf
# Source6-md5:	ab5d7fb340c3be4dc533831dc7d8f1b5
Source7:	http://www.ghg.net/clips/download/documentation/usrguide.pdf
# Source7-md5:	f2da81e30713f24d8b94c2822fc7704a
Source8:	http://www.ghg.net/clips/download/source/%{name}.hlp
# Source8-md5:	e6429bcd668b085038179cf54764436a
# from http://www.ghg.net/clips/download/executables/examples/
Source9:	%{name}-examples-%{version}.tar.gz
# Source9-md5:	83dfad948a07267487661973435d72e9
Patch0:		%{name}-automake.patch
URL:		http://www.ghg.net/clips/CLIPS.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CLIPS is a productive development and delivery expert system tool
which provides a complete environment for the construction of rule
and/or object based expert systems. CLIPS is being used by numerous
users throughout the public and private community including: all NASA
sites and branches of the military, numerous federal bureaus,
government contractors, universities, and many companies.

%description -l pl
CLIPS jest narzdziem do tworzenia i wdraania systemw eksperckich
zapewniajcym kompletne rodowisko do tworzenia systemw eksperckich
opartych na reguach lub obiektach. CLIPS jest uywany przez wielu
uytkownikw prywatnych i publicznych, tym: NASA i rne gazie
wojska, biura federalne, kontrahentw rzdowych, uniwersytety i wiele
firm.

%package doc
Summary:	CLIPS documentation
Summary(pl):	Dokumentacja do CLIPS
Group:		Development/Languages

%description doc
CLIPS documentation and examples.

%description doc -l pl
Dokumentacja i przykady do CLIPSa.

%package devel
Summary:	CLIPS development files
Summary(pl):	Nagwki do CLIPSa
Group:		Development/Languages

%description devel
Includes for programs using embadded CLIPS enviroment.

%description devel -l pl
Pliki nagwkowe dla programw uywajcych wbudowanego rodowiska CLIPSa.

%package static
Summary:	CLIPS static libraries
Summary(pl):	Statyczne biblioteki do CLIPSa
Group:		Development/Languages

%description static
Static libraries for programs using embadded CLIPS enviroment.

%description static -l pl
Statyczne biblioteki dla programw uywajcych wbudowanego rodowiska
CLIPSa.

%prep
%setup -q -T -c
tar zxf %{SOURCE0}
%patch0 -p0
tar zxf %{SOURCE9}

%build
cd clipssrc
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}

echo '#undef HELP_DEFAULT' > usrsetup.h
echo '#define HELP_DEFAULT "%{_datadir}/misc/%{name}.hlp"' >> usrsetup.h

%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/misc,%{_examplesdir}/%{name}-%{version}}

%{__make} -C clipssrc install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} \
	%{SOURCE6} %{SOURCE7} .

install %{SOURCE8} $RPM_BUILD_ROOT%{_datadir}/misc/%{name}.hlp

cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

mv readme.txt COPYING

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING
%attr(755,root,root) %{_bindir}/clips
%attr(755,root,root) %{_libdir}/libclips.so.*.*.*
%{_datadir}/misc/%{name}.hlp

%files devel
%defattr(644,root,root,755)
%{_libdir}/libclips.so
%{_libdir}/libclips.la
%{_includedir}/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/libclips.a

%files doc
%defattr(644,root,root,755)
%doc *.pdf
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: clips.spec,v $
Revision 1.20  2003/08/30 21:36:16  qboosh
- fixed -static description

Revision 1.19  2003/08/18 08:07:57  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.18  2003/08/06 16:47:25  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.17  2003/07/07 04:23:51  blues
- many small fixes, inspired by kloczek

Revision 1.16  2003/05/28 12:58:48  malekith
- massive attack: source-md5

Revision 1.15  2003/05/26 16:24:48  malekith
- massive attack: adding Source-md5

Revision 1.14  2003/05/25 05:46:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2002/10/09 13:14:18  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.12  2002/06/23 20:32:21  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.11  2002/05/21 23:12:44  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/04/25 16:05:47  arturs
fixed a small typo

Revision 1.9  2002/04/10 09:50:40  misiek
- run libtoolize

Revision 1.8  2002/04/10 09:20:51  malekith
- updated to 6.2
- there is no 6.2 with automake support, so I rewrote it
- code is under PD, my patches are also, therefore package is under PD
- split into -devel/-static
- install includes properly
- included examples

Revision 1.7  2002/02/23 01:33:40  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:28:45  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:12:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/11 08:08:58  filon
- use %%%%configure2_13, doesn't build without
- release 2

Revision 1.3  2001/11/13 13:56:09  qboosh
- descriptions, pl summary

Revision 1.2  2001/05/15 09:44:09  wiget
handle documentation in proper way

Revision 1.1  2001/05/15 09:02:47  pascalek
- initial revision
